
/**
 * LetterTool: a kind of DrawingTool that also knows how to draw some letters.
 * 
 * @author Stephen Bloch
 * @version Sept. 23, 2002
 */
public class LetterTool extends DrawingTool
{
    /**
     * draw the letter P.
     * precondition: the DrawingTool exists and is facing in some direction,
     * with enough room to draw a P.
     * postcondition: a letter P is drawn.  The drawing tool is in the same
     * location and orientation as before.  We are drawing, whether we were
     * before or not.
     */
    public void drawP()
    {
        this.draw();
        this.moveForward();
        this.moveForward();
        this.turnClockwise();
        this.moveForward();
        this.turnClockwise();
        this.moveForward();
        this.turnClockwise();
        this.moveForward();
        // now just go home
        this.turnCounterclockwise();
        this.moveForward();
        this.turnClockwise();
        this.turnClockwise();
    }
    
   
   /**
    * move to the next character position.
    *
    * precondition: the DrawingTool exists, and is pointing in some direction
    * with room two units to the right (relative to the direction it's pointing).
    * postcondition: the DrawingTool is two units to the right (relative to the
    * direction it was pointing), pointing the same direction as before.  Nothing
    * has been drawn; we are not drawing, regardless of whether we were before.
    */
   public void moveToNextPosition()
   {
        this.dontDraw();
        this.turnClockwise();
        this.moveForward();
        this.moveForward();
        this.turnCounterclockwise();
   }
   
   
    
}
